export type ToastStackPosition = 'top-right' | 'top-left' | 'bottom-right' | 'bottom-left';
/**
 * @slot (default) - where all toasts go
 */
export declare class RuxToastStack {
  el: HTMLRuxToastStackElement;
  /**
   * position of toast stack in viewport
   */
  position: ToastStackPosition;
  /**
   * adds an individual toast to the stack with the set props passed in as an object
   */
  addToast(props: {
    [x: string]: any;
    hasOwnProperty: (arg0: string) => any;
  }): Promise<void>;
  get _toastsArray(): HTMLRuxToastElement[];
  render(): any;
}
